CVE-2016-6210

NameCVE-2016-6210
Descriptionsshd in OpenSSH before 7.3, when SHA256 or SHA512 are used for user password hashing, uses BLOWFISH hashing on a static password when the username does not exist, which allows remote attackers to enumerate users by leveraging the timing difference between responses when a large password is provided.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-578-1, DSA-3626-1
NVD severitymedium (attack range: remote)
Debian Bugs831902

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openssh (PTS)wheezy1:6.0p1-4+deb7u4vulnerable
wheezy (security)1:6.0p1-4+deb7u6fixed
jessie (security), jessie1:6.7p1-5+deb8u3fixed
stretch1:7.4p1-10+deb9u1fixed
buster, sid1:7.6p1-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opensshsource(unstable)1:7.2p2-6medium831902
opensshsourcejessie1:6.7p1-5+deb8u3mediumDSA-3626-1
opensshsourcewheezy1:6.0p1-4+deb7u5mediumDLA-578-1

Notes

http://seclists.org/fulldisclosure/2016/Jul/51
https://anongit.mindrot.org/openssh.git/commit/?id=9286875a73b2de7736b5e50692739d314cd8d9dc
https://anongit.mindrot.org/openssh.git/commit/?id=283b97ff33ea2c641161950849931bd578de6946
Suggested to cherry-pick as well: https://anongit.mindrot.org/openssh.git/commit/?id=dbf788b4d9d9490a5fff08a7b09888272bb10fcc
otherwise the mitigiation isn't very effective for systems with a locked root account.

Search for package or bug name: Reporting problems